# rpmdbObject_s Struct Reference
[PYTHON-C Language Bindings.]

`#include <python/rpmdb-py.h>`

## Data Fields

PyObject_HEAD PyObject * | md_dict
rpmdb | db
int | offx
int | noffs
int * | offsets

## Detailed Description

Definition at line 19 of file rpmdb-py.h.

## Field Documentation

PyObject_HEAD PyObject* rpmdbObject_s::md_dict

to look like PyModuleObject

Definition at line 21 of file rpmdb-py.h.

rpmdb rpmdbObject_s::db

Definition at line 22 of file rpmdb-py.h.

Referenced by rpmdb_dealloc(), rpmdb_length(), rpmdb_Match(), and rpmdb_subscript().

int rpmdbObject_s::offx

Definition at line 23 of file rpmdb-py.h.

int rpmdbObject_s::noffs

Definition at line 24 of file rpmdb-py.h.

int* rpmdbObject_s::offsets

Definition at line 25 of file rpmdb-py.h.

The documentation for this struct was generated from the following file:

- python/rpmdb-py.h